source 'http://rubygems.org'

#CAPYBARA - PARA USAR CAPYBARA COMENTAR "gem 'rubyzip', '1.2.1'" EN CMD EJECUTAR EL COMANDO:
#bundle install --without=rubyzip_calabash
#CALABASH - PARA USAR CALABASH COMENTAR "gem 'rubyzip', '1.2.3'" EN CMD EJECUTAR EL COMANDO:
#bundle install --without=rubyzip_capybara

#******************************************************************************************
# GEMS - 'AUTOMATION'
#******************************************************************************************
group :automation do
  gem 'calabash-cucumber', '0.21.10'
  gem 'calabash-android', '0.9.9'
  gem 'cucumber', '3.1.2'
  gem 'capybara'
  gem 'selenium-webdriver'
  gem 'appium_lib'
  gem 'rspec', '~> 3.4'
  gem 'report_builder'
  gem 'webdrivers', '~> 4.0', require: false
  #gem "parallel_tests"
  #gem "cuke_modeler", "~> 3.0"
end

#******************************************************************************************
# GEMS - CALABASH / CAPYBARA
#******************************************************************************************
group :rubyzip_calabash do
  #gema necesaria para extraer y generar test server y run test
  #gem 'rubyzip', '1.2.1'
end

group :rubyzip_capybara do
  gem 'rubyzip'
end

#******************************************************************************************
# GEMAS - DEFAULT
#******************************************************************************************
group :default do
  gem 'eventmachine'
  gem 'csv'
  gem 'open3'
  gem 'os'
  gem 'ffi'
  #gem 'addressable', '2.3.8'
  #gema para interactura con xml
  gem 'nokogiri'
  #gem 'json', '1.8.3' #para ruby 2.3.3
  gem 'json' #para ruby 2.6
  gem 'jsonpath' #para ruby 2.6
  gem 'soap4r-ruby1.9' #servicios soap para conectar con spira team
  gem 'ruby-mysql' #servicios soap para conectar con spira team
end


